function [FTB1,FTB2,FTB3,FTB4,FTB5] = wftb(W6,W7,W8,W9,ftb)
% w6 加权各省国际贸易壁垒     i省s部门国际贸易额/i省总国际贸易额
% w7 加权各部门国际贸易壁垒   i省s部门国际贸易额/s部门总国际贸易额
% w8 加权全国国际贸易壁垒    i省国际贸易总额/全国国际贸易总额 
% w9 加权全国贸易壁垒       s部门国际贸易总额/全国国际贸易总额
%% 省份层面贸易壁垒
M = ftb.*W6;
FTB1 = sum(M(:,:),2); %各省国际贸易壁垒

%% 部门层面贸易壁垒
Z = ftb.*W7;
FTB2 = sum(Z(:,:),1); %各部门国际贸易壁垒

%% 省份部门层面
FTB5 = ftb;
%% 全国贸易壁垒
M1 = FTB1.*W8;
FTB3 = sum(M1);   %地区层面全国贸易壁垒

Z1 = FTB2.*W9;
FTB4 = sum(Z1);   %部门层面全国贸易壁垒
end